// Generated from Strings-Stringium at 2022-03-07 11:00:52 +0000

import UIKit

fileprivate let kStringsFileName = "sampleStrings"

extension StringTest {

	// MARK: - Webservice

    /// Translation in en :
    /// en
    var param_lang: String {
        NSLocalizedString("param_lang", tableName: kStringsFileName, bundle: Bundle.main, value: "en", comment: "")
    }

	// MARK: - Generic

    /// Translation in en :
    /// Back
    var generic_back: String {
        NSLocalizedString("generic_back", tableName: kStringsFileName, bundle: Bundle.main, value: "Back", comment: "")
    }

    /// Translation in en :
    /// Loading data...
    var generic_loading_data: String {
        NSLocalizedString("generic_loading_data", tableName: kStringsFileName, bundle: Bundle.main, value: "Loading data...", comment: "")
    }

    /// Translation in en :
    /// Welcome \"%@\" !
    var generic_welcome_firstname_format: String {
        NSLocalizedString("generic_welcome_firstname_format", tableName: kStringsFileName, bundle: Bundle.main, value: "Welcome \"%@\" !", comment: "")
    }    

    /// Translation in en :
    /// Welcome \"%@\" !
    func generic_welcome_firstname_format(arg0: String) -> String {
        String(format: self.generic_welcome_firstname_format, arg0)
    }

	// MARK: - Placeholders

    /// Translation in en :
    /// You %%: %2$@ %1$@ Age: %3$d
    var placeholders_test_one: String {
        NSLocalizedString("placeholders_test_one", tableName: kStringsFileName, bundle: Bundle.main, value: "You %%: %2$@ %1$@ Age: %3$d", comment: "")
    }    

    /// Translation in en :
    /// You %%: %2$@ %1$@ Age: %3$d
    func placeholders_test_one(arg0: String, arg1: String, arg2: Int) -> String {
        String(format: self.placeholders_test_one, arg0, arg1, arg2)
    }

}